Bug 1107052 - varnish: FTBFS in rawhide
Summary: varnish: FTBFS in rawhide
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: varnish
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ingvar Hagelund
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 19:15 UTC by Dennis Gilmore
Modified: 2014-07-31 08:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-31 08:52:58 UTC


Attachments (Terms of Use)
build.log (360.55 KB, text/plain)
2014-06-09 19:15 UTC, Dennis Gilmore
no flags Details
root.log (85.50 KB, text/plain)
2014-06-09 19:15 UTC, Dennis Gilmore
no flags Details
state.log (1.07 KB, text/plain)
2014-06-09 19:15 UTC, Dennis Gilmore
no flags Details
raise the timeout on the test in question (316 bytes, patch)
2014-07-29 16:30 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2014-06-09 19:15:15 UTC
Your package varnish failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6999139

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-09 19:15:25 UTC
Created attachment 905939 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-09 19:15:31 UTC
Created attachment 905940 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-09 19:15:33 UTC
Created attachment 905941 [details]
state.log

Comment 4 Yaakov Selkowitz 2014-06-30 19:44:36 UTC
Cause is one test failure on ARM.

Comment 5 Ingvar Hagelund 2014-07-29 14:16:59 UTC
Works for me. The tests might be a little vulnerable. This particular test gives up after 15s, so I guess it's just a timing issue when the builders are under load.

http://koji.fedoraproject.org/koji/taskinfo?taskID=7209845

Ingvar

Comment 6 Yaakov Selkowitz 2014-07-29 16:30:47 UTC
Created attachment 922204 [details]
raise the timeout on the test in question

Thanks for the feedback.  In that case, would adding the attached patch help this pass reliably?

Comment 7 Ingvar Hagelund 2014-07-31 08:43:16 UTC
I'm in contact with upstream. They'll consider upping the general client timeout.

Ingvar

Comment 8 Ingvar Hagelund 2014-07-31 08:52:58 UTC
varnish-4.0.1-2.fc21 was built for all arches without problems today.

http://koji.fedoraproject.org/koji/taskinfo?taskID=7218676

Ingvar


Note You need to log in before you can comment on or make changes to this bug.